I finally got around to updating my gimp, which I discovered a while back
here requires glib and gtk+ 1.2.8.  So last night I downloaded patches and
set about installing them, unsuccessfully  :-(

I'm running Mandrake 7.1, with glib/gtk+ 1.2.7 and both are installed as the
distro directs, but the patch utility can't find glib files to patch!  Don't
know what it will do with gtk+, but the glib patch is supposed to be first.
Has anyone had this problem?

Particulars are:  glib is in /usr/lib, /usr/lib/glib, /usr/include,
/usr/bin, with a share file in /usr/share/aclocal, and the manual in
/usr/man...   The patch utility is the one written by the same guy who did
PERL, and looks like it was written in PERL.  The problem is stated to be
the 4th instruction in the patch utility, which appears to be an array...
the first character is '@'.

I've worked from /, from /usr, from /usr/lib, from /usr/include, with the
patchfile in the same directory in each case.  All work done as root.  The
patch command used the '-p(x)' switch and the '--dry-run' switch, with
values from x=0 to x=4 for 'p'.

I'm a Linux newbie with long ago Unix experience.  What am I missing here?
I'd really like to start working with Grokking the Gimp! <grin>

Thanks to all,

Bill Tallman

Reply via email to